XmlDataBindingSourceCreator (Grails 5.1.1)

Package: org.grails.web.databinding.bindingsource

## [Groovy] Class XmlDataBindingSourceCreator

- org.grails.web.databinding.bindingsource.XmlDataBindingSourceCreator

-     @groovy.transform.CompileStatic
      class XmlDataBindingSourceCreator
      extends AbstractRequestBodyDataBindingSourceCreator

  Creates DataBindingSource objects from XML in the request body

  Since:
    2.3
  See Also:
    DataBindingSource
    DataBindingSourceCreator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlDataBindingSourceCreator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected DataBindingSource` | `createBindingSource(java.io.Reader reader)`
    `` | `protected DataBindingSourceCreationException` | `createBindingSourceCreationException(java.lang.Exception e)`
    `` | `protected CollectionDataBindingSource` | `createCollectionBindingSource(java.io.Reader reader)`
    `` | `CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `MimeType[]` | `getMimeTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractRequestBodyDataBindingSourceCreator` | `createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType`
    `class DefaultDataBindingSourceCreator` | `createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType`

- - ### Constructor Detail

    - #### XmlDataBindingSourceCreator()

  - ### Method Detail

    - #### @java.lang.Override protected DataBindingSource createBindingSource(java.io.Reader reader)

    - #### @java.lang.Override protected DataBindingSourceCreationException createBindingSourceCreationException(java.lang.Exception e)

    - #### @java.lang.Override protected CollectionDataBindingSource createCollectionBindingSource(java.io.Reader reader)

    - #### @java.lang.Override CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### @java.lang.Override DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### @java.lang.Override MimeType[] getMimeTypes()